Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162674 - kxkb missing country flag icons
Summary: kxkb missing country flag icons
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kdeartwork
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 14:55 UTC by Vesko Tomov
Modified: 2007-12-06 18:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-12-06 18:50:48 UTC


Attachments (Terms of Use)

Description Vesko Tomov 2005-07-07 14:55:56 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
The keyboard switching tools in KDE does not display the country flag corresponding to the chosen layout.  This is in both the control center and the system tray.  

Version-Release number of selected component (if applicable):
kde 3.4.1-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1.  Go to K control center -> configure keyboard layout
2.  Select from keyboard layout list (all icons are black and white)
3.  Check box to display flag in system tray
  

Actual Results:  Gray rectangle with country letters is displayed in system tray

Expected Results:  Flag of the country should be displayed

Additional info:

This used to be ok in Fedora 1-3.

Comment 1 Vesko Tomov 2005-07-07 16:34:01 UTC
I resolved this bug by using the advice from
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80570

I downloaded kdebase-3.4.1-1.2.fc4.kde.i386.rpm from the kde-redhat repository,
extracted the directory /usr/share/locale/ln10n, and used it to replace the one
on my system.  This provided the necessary flag icons.  

Comment 2 Christian Iseli 2007-01-22 10:44:30 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Rex Dieter 2007-12-06 18:50:48 UTC
Country flags are omitted on purpose:
http://fedoraproject.org/wiki/Languages#head-2ae52dbef2515e18d66fba220112c712c9d2eb14


Note You need to log in before you can comment on or make changes to this bug.